Enroll a person in a scheme

Enroll a person in a scheme

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The client specified id of the transaction. Object of type string.

string
required

The client specified id for the scheme to be enrolled in . Object of type string.

Query Params
string

The callback address, where the result will be sent when available. Object of type string/uri.

boolean
Defaults to false

Flag to indicate that data was collected (default is false). Object of type boolean

Body Params

The details of the person to be enrolled

The request body for the enrollment endpoint

biographicData
object
required

The biographic data

contactData
object
required

The contact data

biometricData
object
required

The biometric data

Headers
string
required

Message authentication code (MAC) to verify the integrity of the message gotten by hashing the data with the client's HMAC secret key.Base 64 encoded string of the SHA256 hash of the request body + API key

Example:
Base64.getEncoder().encodeToString(SHA512(request body + API key))

string
required

The Authorization header contains the authentication scheme and a token that authenticates the client to the server

string
required

The Accept header is used to specify the media type of the response. The media type is a string of characters that identifies the type of data contained in the response. The media type is used to indicate the type of data that is expected to be returned by the server.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*